import forms from "@tailwindcss/forms";
import typography from "@tailwindcss/typography";
import daisyUI from "daisyui";
import { Config } from "tailwindcss";
export default {
	content: {
		relative: true,
		files: ["./src/**/*.{js,ts,jsx,tsx}", "./index.html"],
	},
	// safelist is used to allow classes to not be purged by tailwind;
	// I made this to set this classes dyanmically in the code, somehow without this tailwind purges them;
	// safelist: ["alert-info", "alert-success", "alert-warning", "alert-error"],
	theme: {
		extend: {
			spacing: {
				128: "32rem",
				144: "36rem",
			},
			borderRadius: {
				"4xl": "2rem",
			},
		},
	},
	darkMode: "media",
	plugins: [forms, typography, daisyUI],
	daisyui: {
		themes: ["light", "dark"],
	},
} as Config;
